Bug 219125 - java/openjdk8: Make ALSA dependency optional
Summary: java/openjdk8: Make ALSA dependency optional
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D11331
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-07 17:17 UTC by Tobias Kortkamp
Modified: 2017-06-27 08:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (java)


Attachments
java___openjdk8.diff (1.90 KB, patch)
2017-05-07 17:18 UTC, Tobias Kortkamp
no flags Details | Diff
java___openjdk8.diff (1.90 KB, patch)
2017-05-10 06:38 UTC, Tobias Kortkamp
tobik: maintainer-approval? (java)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2017-05-07 17:17:51 UTC
Hi,

would it be possible to make the ALSA dependency optional?  I know it
disables sound support in the JDK, but I have never used it before and
likely never will.  Openjdk8 is the only one of my installed ports left
that has an alsa-lib dependency.

The attached patch adds a new default option ALSA to the port, which
users can turn off if they choose to.

Poudriere test builds on FreeBSD 11.0-RELEASE/amd64 are ok with either
ALSA=on or ALSA=off.
Comment 1 Tobias Kortkamp freebsd_committer 2017-05-07 17:18:43 UTC
Created attachment 182371 [details]
java___openjdk8.diff
Comment 2 Jan Beich freebsd_committer 2017-05-10 06:16:13 UTC
Comment on attachment 182371 [details]
java___openjdk8.diff

> +ALSA_CONFIGURE_ARGS=	--with-alsa=${LOCALBASE}

_CONFIGURE_ARGS helper doesn't exist. See Mk/bsd.options.mk. Did you mean _CONFIGURE_ON?

  $ make -V CONFIGURE_ARGS:M\*alsa\* WITH=ALSA
Comment 3 Tobias Kortkamp freebsd_committer 2017-05-10 06:38:33 UTC
Created attachment 182465 [details]
java___openjdk8.diff

(In reply to Jan Beich from comment #2)
Yep :) Fixed.
Comment 4 Tobias Kortkamp freebsd_committer 2017-06-23 20:46:27 UTC
Maintainer timeout. Waiting 6 weeks should be enough :)
Comment 5 commit-hook freebsd_committer 2017-06-27 08:35:59 UTC
A commit references this bug:

Author: tobik
Date: Tue Jun 27 08:35:25 UTC 2017
New revision: 444448
URL: https://svnweb.freebsd.org/changeset/ports/444448

Log:
  Add a new ALSA default option to make it possible to disable ALSA
  support and build the JDK without an ALSA dependency

  PR:		219125
  Reviewed by:	jbeich
  Approved by:	mat (mentor), java (maintainer timeout, 6+ weeks)
  Differential Revision:	https://reviews.freebsd.org/D11331

Changes:
  head/java/openjdk8/Makefile